# Copyright (C) 2024 Manuel Bustillo

# Copyright (C) 2024-2025 LibreWeddingPlanner contributors

# Copyright (C) 2024-2025 LibreWeddingPlanner contributors

# frozen_string_literal: true

require 'rails_helper'

RSpec.describe Wedding do
  describe 'validations' do
    subject { build(:wedding) }

    describe 'slug' do
      it { is_expected.to allow_value('foo').for(:slug) }
      it { is_expected.to allow_value('foo-bar').for(:slug) }
      it { is_expected.to allow_value('foo-123').for(:slug) }
      it { is_expected.to allow_value('foo-123-').for(:slug) }
      it { is_expected.to allow_value('foo--123').for(:slug) }

      it { is_expected.not_to allow_value('Foo').for(:slug) }
      it { is_expected.not_to allow_value('/foo').for(:slug) }
      it { is_expected.not_to allow_value('foo/123').for(:slug) }
      it { is_expected.not_to allow_value('foo_123').for(:slug) }
      it { is_expected.not_to allow_value('foo/').for(:slug) }
    end
  end
end
